<script>
    import { login } from 'lib/auth'
    import Layout from 'components/Authentication/Layout.svelte'
    import Input from 'components/Authentication/Input.svelte'
    import validate from 'lib/validate'
    import ErrorAlert from 'components/ErrorAlert.svelte'

    let username
    let password
    let inputs = {}
    let error = false

    const submit = async () => {
        if (!(await validate(inputs))) return

        await login(username, password)
        error = true
    }
</script>

<Layout on:click={submit}>
    <slot slot="title">Connexion</slot>
    <slot slot="subtitle">Accède à ton compte</slot>
    {#if error}<ErrorAlert>Identifiants incorrects</ErrorAlert>{/if}
    <Input
        type="text"
        name="username"
        placeholder="foobar"
        bind:value={username}
        rules={['required', 'between:2:18', 'alpha_dash']}
        bind:this={inputs.username}
    >Nom d'utilisateur</Input
    >
    <Input
        type="password"
        name="password"
        placeholder="********"
        rules={['required']}
        bind:value={password}
        bind:this={inputs.password}
    >Mot de passe</Input
    >
    <slot slot="link">
        Pas encore de compte ?
        <a href="/inscription">Inscris-toi</a>
    </slot>
</Layout>
